org.richfaces.renderkit

## Class ComponentAttribute

- java.lang.Object
- - org.richfaces.renderkit.ComponentAttribute

- All Implemented Interfaces:
    Comparable<ComponentAttribute>

      public class ComponentAttribute
      extends Object
      implements Comparable<ComponentAttribute>

  Author:
    Nick Belaevski

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComponentAttribute.Kind`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentAttribute(String htmlAttributeName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ComponentAttribute o)`
    `static Map<String,ComponentAttribute>` | `createMap(ComponentAttribute... attributes)`
    `String` | `getComponentAttributeName()`
    `Object` | `getDefaultValue()`
    `String[]` | `getEventNames()`
    `String` | `getHtmlAttributeName()`
    `ComponentAttribute.Kind` | `getKind()`
    `ComponentAttribute` | `setComponentAttributeName(String componentAttributeName)`
    `void` | `setDefaultValue(Object defaultValue)`
    `ComponentAttribute` | `setEventNames(String... eventNames)`
    `void` | `setKind(ComponentAttribute.Kind kind)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentAttribute

          public ComponentAttribute(String htmlAttributeName)

  - ### Method Detail

    - #### getDefaultValue

          public Object getDefaultValue()

      Returns:
        the defaultValue

    - #### setDefaultValue

          public void setDefaultValue(Object defaultValue)

      Parameters:
        `defaultValue` - the defaultValue to set

    - #### getKind

          public ComponentAttribute.Kind getKind()

      Returns:
        the kind

    - #### setKind

          public void setKind(ComponentAttribute.Kind kind)

      Parameters:
        `kind` - the kind to set

    - #### createMap

          public static final Map<String,ComponentAttribute> createMap(ComponentAttribute... attributes)

    - #### getHtmlAttributeName

          public String getHtmlAttributeName()

      Returns:
        the name

    - #### getComponentAttributeName

          public String getComponentAttributeName()

      Returns:
        the componentAttributeName

    - #### setComponentAttributeName

          public ComponentAttribute setComponentAttributeName(String componentAttributeName)

      Parameters:
        `componentAttributeName` - the componentAttributeName to set
      Returns:

    - #### getEventNames

          public String[] getEventNames()

      Returns:
        the eventNames

    - #### setEventNames

          public ComponentAttribute setEventNames(String... eventNames)

      Parameters:
        `eventNames` - the eventNames to set
      Returns:

    - #### compareTo

          public int compareTo(ComponentAttribute o)

      Specified by:
        `compareTo` in interface `Comparable<ComponentAttribute>`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.